Get detailed information about card
curl --request GET \
--url https://api.sandbox.finsei.com/v1/card/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.finsei.com/v1/card/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.finsei.com/v1/card/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"uuid": "<string>",
"wallet_id": 123,
"masked_number": "474359******5050",
"validUntilDate": "<string>",
"cardholder_name": "<string>",
"notification": {
"title": "<string>",
"message": "<string>"
},
"orderInfo": {
"title": "<string>",
"message": "<string>",
"ordered_at": 123,
"dispatched_at": 123,
"delivery": {}
},
"permissions": {
"canActivate": true,
"canBlock": true,
"canUnblock": true,
"canGetPin": true,
"canSetPin": true,
"canGetCvv": true,
"canGetPassword": true,
"canSetPassword": true,
"canGetNumber": true,
"canClose": true,
"canSetSmsBalanceNotification": true,
"canGetLimits": true,
"canSetLimits": true,
"canGetOperations": true,
"canSetOperations": true
},
"updatedAtMs": 1666666666999,
"isSmsBalanceNotification": false,
"designId": "AIV",
"password": "Aa123!qweqwe",
"cvv": 1234,
"pin": 1234,
"number": 4743591235635050,
"phone3ds": "+48511155588",
"limits": {
"updatedAtMs": 1666666666999,
"purchase": {
"value": "DEFAULT",
"switch": {
"enabled": true,
"value": true
},
"usage": {
"currency_id": "EUR",
"transaction": 123,
"daily": {
"total": 123,
"used": 123,
"available": 123,
"reset": 123
},
"monthly": {
"total": 123,
"used": 123,
"available": 123,
"reset": 123
}
}
},
"withdrawal": {
"value": "DEFAULT",
"switch": {
"enabled": true,
"value": true
},
"usage": {
"currency_id": "EUR",
"transaction": 123,
"daily": {
"total": 123,
"used": 123,
"available": 123,
"reset": 123
},
"monthly": {
"total": 123,
"used": 123,
"available": 123,
"reset": 123
}
}
},
"internet_purchase": {
"value": "DEFAULT",
"switch": {
"enabled": true,
"value": true
},
"usage": {
"currency_id": "EUR",
"transaction": 123,
"daily": {
"total": 123,
"used": 123,
"available": 123,
"reset": 123
},
"monthly": {
"total": 123,
"used": 123,
"available": 123,
"reset": 123
}
}
},
"contactless_purchase": {
"value": "DEFAULT",
"switch": {
"enabled": true,
"value": true
},
"usage": {
"currency_id": "EUR",
"transaction": 123,
"daily": {
"total": 123,
"used": 123,
"available": 123,
"reset": 123
},
"monthly": {
"total": 123,
"used": 123,
"available": 123,
"reset": 123
}
}
}
}
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Forbidden",
"message": "String",
"status": 403
}{
"status": "ERROR",
"error": {
"code": 404,
"message": "Not Found"
}
}Endpoints
GET /v1/card/{id} ⚠️
Deprecated
This method is deprecated and will be removed in future API versions. Use GET /v2/card/{id} instead.
GET
/
v1
/
card
/
{id}
Get detailed information about card
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Card id for detalization
Query Parameters
Available options:
password, cvv, pin, number, limits, phone3ds Response
OK
Unique Card id
Unique Card id (UUID string)
Wallet ID
Available options:
ChipAndPin, Virtual, Disposable Masked Card Number
Example:
"474359******5050"
Card status
Available options:
ORDERED, DISPATCHED, ACTIVE, BLOCKED, CLOSED Cardholder name
Show child attributes
Show child attributes
Show child attributes
Show child attributes
List of true\false permissions
Show child attributes
Show child attributes
Updated timestamp in milliseconds
Example:
1666666666999
Is Payment Balance Sms Notification Enabled
Example:
false
Design Id code
Example:
"AIV"
3d secure password
Example:
"Aa123!qweqwe"
Card CVV
Example:
1234
Card PIN
Example:
1234
Card Number
Example:
4743591235635050
3d secure phone
Example:
"+48511155588"
Show child attributes
Show child attributes
⌘I